> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skortorent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Properties

> Creates one or multiple properties in a workspace. The landlord must
have the `OWNER`, `GOLD`, or `SILVER` role.

`province` and `municipality` must be an exact pair from the supported
Spanish location catalog, including accents and bilingual names. The
municipality must belong to the selected province.
<a href="https://api.skortorent.com/images/province-municipalities.txt" download="province-municipalities.json">Download the complete catalog</a>.

Duplicate detection compares all required address fields
case-insensitively. It covers active workspace properties and duplicate
addresses within the same request.

If any duplicate is found, the API returns `409` before inserting any
property from the request.




## OpenAPI

````yaml /property-management-api-reference/openapi.yaml post /properties
openapi: 3.1.0
info:
  title: SKOR Property Management API
  version: 1.0.0
  description: |
    The Property Management API is a standalone landlord API for managing
    accessible workspaces and their properties.

    The Modular API and Property Management API use the same API-key model and
    shared token endpoint.

    All responses use the SKOR v1 response envelope. Successful responses
    contain `status`, `message`, and `data`. Validation errors can also contain
    an `errors` array with field-specific messages.
servers:
  - url: https://api.skortorent.com/api/v1/property-management
    description: Live
  - url: https://dev-api.skortorent.com/api/v1/property-management
    description: Sandbox
security:
  - PropertyManagementBearer: []
tags:
  - name: Workspace
    description: Create and list workspaces for the authenticated landlord.
  - name: Property
    description: Create, list, retrieve, update, and delete properties.
paths:
  /properties:
    post:
      tags:
        - Property
      summary: Create Properties
      description: >
        Creates one or multiple properties in a workspace. The landlord must

        have the `OWNER`, `GOLD`, or `SILVER` role.


        `province` and `municipality` must be an exact pair from the supported

        Spanish location catalog, including accents and bilingual names. The

        municipality must belong to the selected province.

        <a href="https://api.skortorent.com/images/province-municipalities.txt"
        download="province-municipalities.json">Download the complete
        catalog</a>.


        Duplicate detection compares all required address fields

        case-insensitively. It covers active workspace properties and duplicate

        addresses within the same request.


        If any duplicate is found, the API returns `409` before inserting any

        property from the request.
      operationId: createProperties
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePropertiesRequest'
      responses:
        '200':
          description: Properties created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertyCollectionSuccessResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/ServerError'
components:
  schemas:
    CreatePropertiesRequest:
      type: object
      required:
        - workspace_id
        - properties
      properties:
        workspace_id:
          type: string
          description: Public workspace UUID.
          example: Ab12Cd
        properties:
          type: array
          minItems: 1
          maxItems: 100
          description: >-
            Properties to create. Province and municipality values must be an
            exact pair from the supported location catalog. The operation is
            atomic when a duplicate is found.
          items:
            $ref: '#/components/schemas/PropertyInput'
    PropertyCollectionSuccessResponse:
      type: object
      required:
        - status
        - message
        - data
      properties:
        status:
          type: string
          const: success
        message:
          type: string
          example: Properties created successfully
        data:
          $ref: '#/components/schemas/PropertyCollectionData'
    PropertyInput:
      type: object
      required:
        - rent_amount
        - street
        - street_number
        - postal_code
        - floor
        - letter
        - province
        - municipality
      properties:
        rent_amount:
          type: number
          exclusiveMinimum: 0
          description: Monthly rent amount.
          example: 1250
        street:
          type: string
          minLength: 1
          example: Calle Mayor
        street_number:
          type: integer
          minimum: 1
          example: 12
        postal_code:
          type: string
          minLength: 1
          example: '28013'
        floor:
          type: integer
          minimum: 0
          example: 3
        letter:
          type: string
          minLength: 1
          example: B
        province:
          type: string
          minLength: 1
          description: >-
            Supported Spanish province. The value must match the location
            catalog exactly.
          enum:
            - A Coruña
            - Albacete
            - Alicante/Alacant
            - Almería
            - Asturias
            - Badajoz
            - Barcelona
            - Burgos
            - Cantabria
            - Castellón/Castelló
            - Ceuta
            - Ciudad Real
            - Cuenca
            - Cáceres
            - Cádiz
            - Córdoba
            - Girona
            - Granada
            - Guadalajara
            - Guipúzcoa
            - Huelva
            - Huesca
            - Illes Balears
            - Jaén
            - La Rioja
            - Las Palmas
            - León
            - Lleida
            - Lugo
            - Madrid
            - Melilla
            - Murcia
            - Málaga
            - Navarra
            - Ourense
            - Palencia
            - Pontevedra
            - Salamanca
            - Santa Cruz de Tenerife
            - Segovia
            - Sevilla
            - Soria
            - Tarragona
            - Teruel
            - Toledo
            - Valencia/València
            - Valladolid
            - Vizcaya
            - Zamora
            - Zaragoza
            - Álava
            - Ávila
          example: Madrid
        municipality:
          type: string
          minLength: 1
          description: >-
            Municipality from the location catalog that belongs to the selected
            province. The value must match exactly.
          example: Madrid
        entrance_stairwell:
          type: string
          minLength: 1
          example: '2'
        bedrooms:
          type: integer
          minimum: 0
          example: 2
        bathrooms:
          type: integer
          minimum: 0
          example: 1
        property_reference:
          type: string
          minLength: 1
          description: External property reference. It is not used for duplicate detection.
          example: MAD-12-3B
    PropertyCollectionData:
      type: object
      properties:
        properties:
          type: array
          items:
            $ref: '#/components/schemas/Property'
    ErrorResponse:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          const: error
        message:
          type: string
          example: Request validation failed
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
    Property:
      allOf:
        - type: object
          properties:
            property_id:
              type: string
              description: Unique property identifier.
              example: 6655c944c2e40f249b664e74
            workspace_id:
              type: string
              description: Public UUID of the workspace containing the property.
              example: Ab12Cd
        - $ref: '#/components/schemas/PropertyInput'
    ValidationIssue:
      type: object
      required:
        - field
        - message
      properties:
        field:
          type: string
          description: Request field that failed validation.
          example: properties.0.street
        message:
          type: string
          description: Human-readable validation message.
          example: properties.0.street is required
  responses:
    BadRequest:
      description: The request is invalid or failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            status: error
            message: Request validation failed
            errors:
              - field: properties.0.street
                message: properties.0.street is required
    Unauthorized:
      description: >-
        Authentication is missing, invalid, expired, or uses the wrong token
        type.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Forbidden:
      description: >-
        The landlord cannot access the workspace or lacks permission for the
        operation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: The workspace or property was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Conflict:
      description: A property with the same required address fields already exists.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ServerError:
      description: An unexpected server error occurred.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    PropertyManagementBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Generate a shared token via `/authenticate/token`, then pass it as
        `Authorization: Bearer <token>`.

````